<section class="section tweets-mod {{vm.classes}}" data-ng-if="vm.tweets && vm.tweets.length > 0">

  <header class="section-header" data-ng-if="vm.twitter.title">
    <div data-ng-class="{container: vm.layout == 'full'}">
      <div class="row">
        <div class="col-sm-12">
          <h2 class="section-title" data-ng-bind-html="vm.twitter.title|sanitize"></h2>
        </div>
      </div>
    </div>
  </header>

  <div class="section-intro" data-ng-if="vm.twitter.intro">
    <div data-ng-class="{container: vm.layout == 'full'}">
      <div class="row">
        <div class="col-sm-12">
          <div data-ng-bind-html="vm.twitter.intro|sanitize"></div>
        </div>
      </div>
    </div>
  </div>

  <div class="section-main" id="tweets" data-ng-if="vm.tweets && vm.tweets.length > 0">
    <div data-ng-class="{container: vm.layout == 'full'}">
      <div class="row">
        <div class="col-sm-12">
          <div data-ng-show="vm.loading" class="loader"><img src="apps/uw_theme_conference/assets/dist/img/page-loader.gif" alt="page loader animation"></div>
          <ul class="list-unstyled list-tweets">
            <li data-ng-repeat="tweet in vm.tweets" data-ng-show="$index == vm.current">
              <div class="row">
                <div class="col-md-9">
                  <article class="latest-tweet">
                    <span class="fa fa-twitter"></span>
                    <div class="latest-tweet-text" data-ng-bind-html="tweet.text|sanitize"></div>
                  </article>
                </div>
                <div class="col-md-3">
                  <div class="latest-tweet-meta">
                    <div class="latest-tweet-hashtag" data-ng-if="vm.hashtag">{{vm.hashtag}}</div>
                    <ul class="list-unstyled list-inline latest-tweet-actions">
                      <li><a href="https://twitter.com/intent/tweet?in_reply_to={{tweet.id_str}}">Reply</a></li>
                      <li><a href="https://twitter.com/intent/retweet?tweet_id={{tweet.id_str}}">Retweet</a></li>
                    </ul>
                    <div class="latest-tweet-nav">
                      <ul class="list-unstyled">
                        <li><a href="#tweets" data-ng-click="vm.previousTweet(); $event.preventDefault()"><span class="fa fa-caret-up"></span></a></li>
                        <li><a href="#tweets" data-ng-click="vm.nextTweet(); $event.preventDefault()"><span class="fa fa-caret-down"></span></a></li>
                      </ul>
                    </div>
                  </div>
                </div>
              </div>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>

  <script type="text/javascript-lazy" async src="https://platform.twitter.com/widgets.js"></script>
</section>
